import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { IonicModule, ModalController } from '@ionic/angular';
import { ThrowDriftBottleComponent } from '../throw-drift-bottle/throw-drift-bottle.component';

@Component({
  selector: 'app-drift-bottle',
  templateUrl: './drift-bottle.component.html',
  styleUrls: ['./drift-bottle.component.scss'],
  standalone: true,
  imports: [
    IonicModule,
    // 其他导入项...
  ]
})
export class DriftBottleComponent implements OnInit {

  constructor(private router: Router, private modalCtrl: ModalController) {}

  ngOnInit() {}

 

  async throwDriftBottleModal() {
    const modal = await this.modalCtrl.create({
      component: ThrowDriftBottleComponent,
      cssClass: 'my-custom-class'
    });

    return await modal.present();
  }
}